Skip to main content

Type Alias: GatewayInferenceResponseFileSearchCallInProgressEvent

type GatewayInferenceResponseFileSearchCallInProgressEvent = {
[key: string]: unknown;
type: "response.file_search_call.in_progress";
output_index: number;
item_id: string;
};

Defined in: src/models/ai-gateway-inference.ts:4813

Portkey ResponseFileSearchCallInProgressEvent; additive response fields are preserved.

Example​

`GatewayInferenceResponseFileSearchCallInProgressEventSchema.parse(value);`

Indexable​

[key: string]: unknown

Properties​

type​

type: "response.file_search_call.in_progress";

Defined in: src/models/ai-gateway-inference.ts:4814


output_index​

output_index: number;

Defined in: src/models/ai-gateway-inference.ts:4815


item_id​

item_id: string;

Defined in: src/models/ai-gateway-inference.ts:4816